package model

import (
	"gorm.io/gorm"
)

// User 用户模型
type User struct {
	gorm.Model
	ID             uint64 `gorm:"not null"`
	MgmtUserId     uint64 `gorm:"not null"`
	MgmtArtistId   string `gorm:"type:varchar(256) not null"`
	Account        string `gorm:"type:varchar(256) not null"`
	MnemonicWords  string `gorm:"type:varchar(256) not null"`
	TelNum         string `gorm:"type:varchar(20) not null"`
	Name           string `gorm:"type:varchar(20) not null"`
	PenName        string `gorm:"type:varchar(20) not null"`
	StageName      string `gorm:"type:varchar(20) not null"`
	JoinAssoTime   string `gorm:"type:varchar(64) not null"`
	CertificateNum string `gorm:"type:varchar(16) not null"`
	CertificateImg string `gorm:"type:varchar(512) not null"`
	Key            string `gorm:"type:varchar(16) not null"`
	RealNameID     int32  `gorm:"not null"`
	IDNum          string `gorm:"type:varchar(18) not null"`
	Sex            int32  `gorm:"not null"`
	Ruler          int64  `gorm:"not null"`
	OpenId         string `gorm:"type:varchar(2048) not null"`
	CustomerId     string `gorm:"type:varchar(2048) not null"`
	Age            int32  `gorm:"not null"`
	Introduct      string `gorm:"type:varchar(2048) not null"`
	CreateAt       int64  `gorm:"not null"`
	ConAddress     string `gorm:"type:varchar(2048) not null"`
	Photo          string `gorm:"type:varchar(2048) not null"`
	Video          string `gorm:"type:varchar(256) not null"`
	IsRealName     int64  `gorm:"not null"`
	IsFdd          int64  `gorm:"not null"`
	WxAccount      string `gorm:"type:varchar(256) not null"`
	IsLock         bool   `gorm:"not null"`
	InvitedCode    string `gorm:"type:varchar(16)  default ''"`
	IsRead         int32  `gorm:"not null"`
	IsImport       int32  `gorm:"not null"`
	Enable         bool   `gorm:"not null"`
}
